For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet an entity's bank accounts
      • POSTCreate an entity bank account
      • GETGet an entity's bank account
      • DELDelete an entity's bank account
      • PATCHUpdate an entity's bank account
      • POSTSet an entity's bank account as the default for its currency
      • POSTVerify an entity bank account
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntity bank accounts

Delete an entity's bank account

DELETE
/bank_accounts/:bank_account_id
DELETE
/v1/bank_accounts/:bank_account_id
$curl -X DELETE https://api.sandbox.monite.com/v1/bank_accounts/bank_account_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
Delete the bank account specified by its ID.
Was this page helpful?
Previous

Update an entity's bank account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

bank_account_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

404
Delete Bank Accounts ID Request Not Found Error
409
Delete Bank Accounts ID Request Conflict Error
422
Delete Bank Accounts ID Request Unprocessable Entity Error
500
Delete Bank Accounts ID Request Internal Server Error